For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all IPSecTunnels

This endpoint enables retrieving all IPSecTunnels using pagination and optional filters.

get
/ipsecgateways/{gatewayId}/tunnels
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the IPSecGateway.

Example: 66a114c7-2ddd-5119-9ddf-5a789f5a5a44
Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
Responses
200

Returned all requested IPSecTunnels successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of IPSecTunnel resources.

Example: 0ef10f6b-8742-5e74-98ff-3e89354b1082
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of IPSecTunnel resources.

Example: /ipsecgateways/{gatewayId}/tunnels
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get/ipsecgateways/{gatewayId}/tunnels
GET /ipsecgateways/{gatewayId}/tunnels HTTP/1.1
Host: vpn.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "0ef10f6b-8742-5e74-98ff-3e89354b1082",
  "type": "collection",
  "href": "/ipsecgateways/{gatewayId}/tunnels",
  "items": [
    {
      "id": "c28b2d3e-7b15-53ca-ae88-6ae9378d6efe",
      "type": "ipsectunnel",
      "href": "/ipsecgateways/{gatewayId}/tunnels/c28b2d3e-7b15-53ca-ae88-6ae9378d6efe",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "status": "AVAILABLE",
        "statusMessage": null
      },
      "properties": {
        "name": "My Company Gateway Tunnel",
        "description": "Allows local subnet X to connect to virtual network Y.",
        "remoteHost": "vpn.mycompany.com",
        "auth": {
          "method": "PSK",
          "psk": {}
        },
        "ike": {
          "diffieHellmanGroup": "16-MODP4096",
          "encryptionAlgorithm": "AES256",
          "integrityAlgorithm": "SHA256",
          "lifetime": 86400
        },
        "esp": {
          "diffieHellmanGroup": "16-MODP4096",
          "encryptionAlgorithm": "AES256",
          "integrityAlgorithm": "SHA256",
          "lifetime": 3600
        },
        "cloudNetworkCIDRs": [
          "192.168.1.100/24"
        ],
        "peerNetworkCIDRs": [
          "1.2.3.4/32"
        ]
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}

Last updated

Was this helpful?